%define name	fbpanel
%define version	6.0
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Lightweight desktop panel
Version: 	%{version}
Release: 	%{release}

Source:		http://downloads.sourceforge.net/project/fbpanel/fbpanel/%{version}/%{name}-%{version}.tbz2
URL:		http://fbpanel.sourceforge.net/
License:	GPL
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2-devel

%description
fbpanel is a lightweight, NETWM compliant desktop panel. It works with any
NETWM compliant window manager (eg xfwm4, sawfish, openbox, metacity, kde).

It provides:
    * variety of plugins
    * ability to replace window icons
    * all icons follow your current GTK+ icon theme
    * transparency support
    * customizable size and screen position
    * ability to run many instances each with its own configuration
    * modest resource usage

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	--sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir}
%define _disable_ld_no_undefined 1
%setup_compile_flags
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGELOG CREDITS README
%{_bindir}/%name
%{_datadir}/%name
%dir %{_libdir}/%name
%{_libdir}/%name/*.so
%{_libexecdir}/%name/make_profile
%{_libexecdir}/%name/xlogout


%changelog
* Sat Mar 27 2010 Funda Wang <fwang@mandriva.org> 6.0-1mdv2010.1
+ Revision: 527892
- new version 6.0

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 4.12-4mdv2010.0
+ Revision: 428710
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 4.12-3mdv2009.0
+ Revision: 245074
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Nov 09 2007 Jérôme Soyer <saispo@mandriva.org> 4.12-1mdv2008.1
+ Revision: 107073
- New release

* Fri Jun 08 2007 Austin Acton <austin@mandriva.org> 4.9-1mdv2008.0
+ Revision: 37420
- buildrequires libxmu-devel
- buildrequires xpm-devel
- Import fbpanel

